using System.Drawing;

namespace ScsMinimapper.Scs.Terrain {
	/// <summary>
	/// Class for the Desert terrain colours
	/// </summary>
	class DesertTerrain : BaseTerrain {
		public override Color GetColor(uint id, bool random) {
			if (random) {
				return GetColorOne(id);
			} else {
				return GetColorTwo(id);
			}
		}

		private Color GetColorOne(uint id) {
			switch (id) {
				case 0: return Color.FromArgb(197, 139, 71);
				case 1: return Color.FromArgb(217, 152, 89);
				case 3: return Color.FromArgb(232, 172, 105);
				case 4: return Color.FromArgb(212, 159, 111);
				case 5: return Color.FromArgb(202, 166, 111);
				case 6: return Color.FromArgb(216, 160, 112);
				case 8: return Color.FromArgb(198, 152, 106);
				case 9: return Color.FromArgb(189, 145, 94);
				case 10: return Color.FromArgb(189, 145, 94);
				case 11: return Color.FromArgb(162, 124, 109);
				case 12: return Color.FromArgb(171, 112, 88);
				case 14: return Color.FromArgb(56, 71, 116);
				case 15: return Color.FromArgb(237, 231, 227);
				case 16: return Color.FromArgb(56, 71, 116);
				case 17: return Color.FromArgb(118, 89, 68);
				case 26: return Color.FromArgb(222, 193, 139);
				case 27: return Color.FromArgb(85, 162, 29);
			}
			return Color.White;
		}

		private Color GetColorTwo(uint id) {
			switch (id) {
				case 0: return Color.FromArgb(206, 159, 91);
				case 1: return Color.FromArgb(206, 138, 78);
				case 3: return Color.FromArgb(217, 158, 93);
				case 4: return Color.FromArgb(212, 159, 111);
				case 5: return Color.FromArgb(202, 166, 111);
				case 6: return Color.FromArgb(216, 160, 112);
				case 8: return Color.FromArgb(198, 152, 106);
				case 9: return Color.FromArgb(194, 122, 66);
				case 10: return Color.FromArgb(217, 152, 89);
				case 11: return Color.FromArgb(162, 124, 109);
				case 12: return Color.FromArgb(186, 126, 100);
				case 14: return Color.FromArgb(56, 68, 80);
				case 15: return Color.FromArgb(237, 231, 227);
				case 16: return Color.FromArgb(56, 68, 80);
				case 17: return Color.FromArgb(118, 89, 68);
				case 26: return Color.FromArgb(222, 193, 139);
				case 27: return Color.FromArgb(85, 162, 29);
			}
			return Color.White;
		}
	}
}
