using System;
using System.Drawing;

namespace ScsMinimapper.Scs.Terrain {
	/// <summary>
	/// Class for the Savannah terrain colours
	/// </summary>
	class SavannahTerrain : BaseTerrain {
		public override Color GetColor(uint id, bool random) {
			if (random) {
				return GetColorOne(id);
			} else {
				return GetColorTwo(id);
			}
		}

		private Color GetColorOne(uint id) {
			switch (id) {
				case 0: return Color.FromArgb(159, 151, 94);
				case 1: return Color.FromArgb(198, 170, 138);
				case 3: return Color.FromArgb(139, 152, 91);
				case 4: return Color.FromArgb(179, 184, 91);
				case 5: return Color.FromArgb(200, 177, 167);
				case 6: return Color.FromArgb(149, 186, 121);
				case 8: return Color.FromArgb(83, 49, 15);
				case 9: return Color.FromArgb(255, 217, 192);
				case 10: return Color.FromArgb(198, 170, 138);
				case 11: return Color.FromArgb(162, 124, 109);
				case 12: return Color.FromArgb(157, 138, 131);
				case 14: return Color.FromArgb(92, 105, 128);
				case 15: return Color.FromArgb(237, 231, 227);
				case 16: return Color.FromArgb(56, 71, 116);
				case 17: return Color.FromArgb(118, 89, 68);
				case 26: return Color.FromArgb(222, 209, 139);
				case 27: return Color.FromArgb(85, 162, 29);
			}
			return Color.White;
		}

		private Color GetColorTwo(uint id) {
			switch (id) {
				case 0: return Color.FromArgb(192, 178, 143);
				case 1: return Color.FromArgb(168, 141, 108);
				case 3: return Color.FromArgb(147, 145, 89);
				case 4: return Color.FromArgb(179, 184, 91);
				case 5:
					// Special case: one out of three
					Random random = new Random();
					byte b = (byte)(random.Next() % 3);
					switch (b) {
						case 0:  return Color.FromArgb(200, 177, 167);
						case 1:  return Color.FromArgb(183, 154, 123);
						default: return Color.FromArgb(153, 150, 122);
					}
				case 6: return Color.FromArgb(149, 186, 121);
				case 8: return Color.FromArgb(102, 66, 31);
				case 9: return Color.FromArgb(250, 200, 185);
				case 10: return Color.FromArgb(255, 217, 192);
				case 11: return Color.FromArgb(162, 124, 109);
				case 12: return Color.FromArgb(142, 126, 119);
				case 14: return Color.FromArgb(73, 87, 118);
				case 15: return Color.FromArgb(237, 231, 227);
				case 16: return Color.FromArgb(56, 68, 80);
				case 17: return Color.FromArgb(118, 89, 68);
				case 26: return Color.FromArgb(222, 209, 139);
				case 27: return Color.FromArgb(85, 162, 29);
			}
			return Color.White;
		}
	}
}
