using System.Drawing;

namespace ScsMinimapper.Scs.Terrain {
	/// <summary>
	/// Class for the Temperate terrain colours
	/// </summary>
	class TemperateTerrain : BaseTerrain {
		public override Color GetColor(uint id, bool random) {
			if (random) {
				return GetColorOne(id);
			} else {
				return GetColorTwo(id);
			}
		}

		private Color GetColorOne(uint id) {
			switch (id) {
				case 0: return Color.FromArgb(104, 76, 55);
				case 1: return Color.FromArgb(69, 85, 40);
				case 3: return Color.FromArgb(67, 74, 40);
				case 4: return Color.FromArgb(179, 184, 91);
				case 5: return Color.FromArgb(104, 76, 55);
				case 6: return Color.FromArgb(149, 186, 121);
				case 8: return Color.FromArgb(83, 49, 15);
				case 9: return Color.FromArgb(132, 108, 86);
				case 10: return Color.FromArgb(69, 85, 40);
				case 11: return Color.FromArgb(162, 124, 109);
				case 12: return Color.FromArgb(157, 138, 131);
				case 14: return Color.FromArgb(58, 72, 101);
				case 15: return Color.FromArgb(237, 231, 227);
				case 16: return Color.FromArgb(56, 71, 116);
				case 17: return Color.FromArgb(118, 89, 68);
				case 26: return Color.FromArgb(222, 209, 139);
				case 27: return Color.FromArgb(85, 162, 29);
			}
			return Color.White;
		}

		private Color GetColorTwo(uint id) {
			switch (id) {
				case 0: return Color.FromArgb(80, 71, 42);
				case 1: return Color.FromArgb(80, 83, 42);
				case 3: return Color.FromArgb(58, 75, 30);
				case 4: return Color.FromArgb(179, 184, 91);
				case 5: return Color.FromArgb(126, 126, 126);
				case 6: return Color.FromArgb(149, 186, 121);
				case 8: return Color.FromArgb(102, 66, 31);
				case 9: return Color.FromArgb(183, 164, 118);
				case 10: return Color.FromArgb(132, 108, 86);
				case 11: return Color.FromArgb(162, 124, 109);
				case 12: return Color.FromArgb(142, 126, 119);
				case 14: return Color.FromArgb(64, 79, 110);
				case 15: return Color.FromArgb(237, 231, 227);
				case 16: return Color.FromArgb(56, 68, 80);
				case 17: return Color.FromArgb(118, 89, 68);
				case 26: return Color.FromArgb(222, 209, 139);
				case 27: return Color.FromArgb(85, 162, 29);
			}
			return Color.White;
		}
	}
}
