using System.Drawing;

namespace ScsMinimapper.Scs.Terrain {
	/// <summary>
	/// Class for the Tundra terrain colours
	/// </summary>
	class TundraTerrain : BaseTerrain {
		public override Color GetColor(uint id, bool random) {
			if (random) {
				return GetColorOne(id);
			} else {
				return GetColorTwo(id);
			}
		}

		private Color GetColorOne(uint id) {
			switch (id) {
				case 0: return Color.FromArgb(97, 91, 72);
				case 1: return Color.FromArgb(85, 88, 62);
				case 3: return Color.FromArgb(94, 97, 72);
				case 4: return Color.FromArgb(179, 184, 91);
				case 5: return Color.FromArgb(85, 88, 62);
				case 6: return Color.FromArgb(149, 186, 121);
				case 8: return Color.FromArgb(83, 49, 15);
				case 9: return Color.FromArgb(78, 77, 68);
				case 10: return Color.FromArgb(74, 74, 64);
				case 11: return Color.FromArgb(85, 94, 69);
				case 12: return Color.FromArgb(157, 138, 131);
				case 14: return Color.FromArgb(56, 68, 80);
				case 15: return Color.FromArgb(237, 231, 227);
				case 16: return Color.FromArgb(56, 71, 116);
				case 17: return Color.FromArgb(118, 89, 68);
				case 26: return Color.FromArgb(222, 209, 139);
				case 27: return Color.FromArgb(85, 162, 29);
			}
			return Color.White;
		}

		private Color GetColorTwo(uint id) {
			switch (id) {
				case 0: return Color.FromArgb(101, 94, 79);
				case 1: return Color.FromArgb(95, 98, 72);
				case 3: return Color.FromArgb(86, 88, 72);
				case 4: return Color.FromArgb(179, 184, 91);
				case 5: return Color.FromArgb(126, 126, 126);
				case 6: return Color.FromArgb(149, 186, 121);
				case 8: return Color.FromArgb(83, 49, 15);
				case 9: return Color.FromArgb(78, 77, 68);
				case 10: return Color.FromArgb(68, 75, 49);
				case 11: return Color.FromArgb(85, 94, 69);
				case 12: return Color.FromArgb(142, 126, 119);
				case 14: return Color.FromArgb(53, 65, 77);
				case 15: return Color.FromArgb(237, 231, 227);
				case 16: return Color.FromArgb(56, 71, 116);
				case 17: return Color.FromArgb(118, 89, 68);
				case 26: return Color.FromArgb(222, 209, 139);
				case 27: return Color.FromArgb(85, 162, 29);
			}
			return Color.White;
		}
	}
}
